interface Account {
    address: string;
    publicKey: string;
    privateKey: string;
}
export declare class KeyManager {
    private address;
    private publicKey;
    private privateKey;
    constructor({ address, privateKey, publicKey, }: {
        address: string;
        privateKey: string;
        publicKey: string;
    });
    sign(payload: string): Promise<string>;
    static createRandom(): Promise<KeyManager>;
    static fromPrivateKey(privateKey: string): Promise<KeyManager>;
    getAddress(): string;
    getPublicKey(): string;
    getPrivateKey(): string;
    getAccount(): Account;
    isConnected(): boolean;
}
export {};
//# sourceMappingURL=key-manager.d.ts.map