import { AbstractProvider } from '@pokt-foundation/pocketjs-provider';
import { TransactionResponse } from '@pokt-foundation/pocketjs-types';
import { AbstractSigner, TransactionRequest } from './abstract-signer';
import { KeyManager } from './key-manager';
export declare class Wallet implements AbstractSigner {
    readonly provider?: AbstractProvider;
    readonly _isSigner: boolean;
    readonly keyManager: KeyManager;
    constructor({ provider, keyManager, isSigner, }: {
        provider?: AbstractProvider;
        keyManager: KeyManager;
        isSigner: boolean;
    });
    static createRandom(): Promise<Wallet>;
    getAddress(): Promise<string>;
    connect(provider: AbstractProvider): Wallet;
    getBalance(address: string | Promise<string>): Promise<bigint>;
    getTransactionCount(address: string | Promise<string>): Promise<number>;
    sendTransaction(signedTransaction: string | Promise<string>): Promise<TransactionResponse>;
    sign(payload: string): Promise<string>;
    signTransaction(transaction: TransactionRequest): Promise<string>;
}
//# sourceMappingURL=wallet.d.ts.map